mbed TLS v2.23.0

Data Fields
mbedtls_sha512_context Struct Reference

The SHA-512 context structure. More...

`#include <sha512.h>`

## Data Fields
uint64_t | total [2]
uint64_t | state [8]
unsigned char | buffer [128]
int | is384

## Detailed Description

The SHA-512 context structure.

                The structure is used both for SHA-384 and for SHA-512
                checksum calculations. The choice between these two is
                made in the call to mbedtls_sha512_starts_ret().

Definition at line 57 of file sha512.h.

## Field Documentation

## ◆ buffer

unsigned char mbedtls_sha512_context::buffer[128]

The data block being processed.

Definition at line 61 of file sha512.h.

## ◆ is384

int mbedtls_sha512_context::is384

Determines which function to use: 0: Use SHA-512, or 1: Use SHA-384.

Definition at line 63 of file sha512.h.

## ◆ state

uint64_t mbedtls_sha512_context::state[8]

The intermediate digest state.

Definition at line 60 of file sha512.h.

## ◆ total

uint64_t mbedtls_sha512_context::total[2]

The number of Bytes processed.

Definition at line 59 of file sha512.h.

The documentation for this struct was generated from the following file:

- sha512.h